<?php

namespace App\Http\Controllers\Api\Client;

use App\Model\MediaCategoryModel;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class MediaCategoryController extends Controller
{
    public function index(Request $request){

        $result = handler_drive(function () use ($request) {

            $catgList = MediaCategoryModel::catgList($request);
            return $catgList;
        });

        return success($result);
    }
}
